*FILENAME: div_analysis_ddreg.do;


use temp_yvarscaled, clear
if "$absorb"=="" {
	reg yvarscaled $controls $ddvars [pw=$wgt], cluster($clustervar)
}
else {
	areg yvarscaled $controls $ddvars [pw=$wgt], a($absorb) cluster($clustervar)
}
global firmyears = e(N)
global r2 = e(r2)
if "$lincom"=="" {
	if "$cutvar"=="" | $dosizehetero==1 {
		global dd = _b[ddccorppost]
		global dd_se = _se[ddccorppost]
	}
	else {
		global dd = _b[ddccorppost_cutvar]
		global dd_se = _se[ddccorppost_cutvar]		
	}
}
else {
	if "$cutvar"=="" | $dosizehetero==1 {
		lincom "$lincom"
	}
	else {
		lincom "$lincom_cutvar"
	}
	global dd = r(estimate)
	global dd_se = r(se)
}
if "$exhibit"=="AT6" & inrange($column,6,7) {
	global ddcoc = _b[coc]
	global ddcoc_se = _se[coc]
	if $column==7 {
		global dddecon = _b[decon]
		global dddecon_se = _se[decon]
	}
}
quietly sum yvarscaled_nonorm if $byvar==1 & e(sample)==1 & ddpost==0 [w=$wgt]
global byvar1premean = r(mean)
global byvar1presd = r(sd)
quietly sum yvarscaled_nonorm if $byvar==0 & e(sample)==1 & ddpost==0 [w=$wgt]
global byvar0premean = r(mean)
collapse yvarscaled if e(sample)==1, by(tinc)
quietly sum yvarscaled
global firms = r(N)

use divout_coeffs, clear
drop if _n>=0
set obs 1
replace exhibit="$exhibit"
replace column=$column
replace row=$row
replace yvar="$yvar"
replace dd=$dd
replace dd_se=$dd_se
replace byvar1premean=$byvar1premean
replace byvar1presd=$byvar1presd
replace byvar0premean=$byvar1premean
replace firms=$firms
replace firmyears=$firmyears
replace r2=$r2
replace controls = ("$controls"!="")
replace fes = ("$absorb"!="")
replace clustervar = "$clustervar"
replace norm=$norm
replace detrended=$detrend
replace trimqtop="$trimqtop"
replace trimqbot="$trimqbot"
append using divout_coeffs
save divout_coeffs, replace


