*FILENAME: div_analysis_ddregyrbyyr.do;


use temp_yvarscaled, clear
if "$absorb"=="" {
	reg yvarscaled $controls $ddvarsyrbyyr [pw=$wgt], cluster($clustervar)
}
else {
	areg yvarscaled $controls $ddvarsyrbyyr [pw=$wgt], a($absorb) cluster($clustervar)
}
global firmyears = e(N)
global r2 = e(r2)
global dd2003 = _b[ddccorp_i_ty2003]
global dd2003_se = _se[ddccorp_i_ty2003]
global dd2004 = _b[ddccorp_i_ty2004]
global dd2004_se = _se[ddccorp_i_ty2004]
global dd2005 = _b[ddccorp_i_ty2005]
global dd2005_se = _se[ddccorp_i_ty2005]
global dd2006 = _b[ddccorp_i_ty2006]
global dd2006_se = _se[ddccorp_i_ty2006]
global dd2007 = _b[ddccorp_i_ty2007]
global dd2007_se = _se[ddccorp_i_ty2007]
global dd2008 = _b[ddccorp_i_ty2008]
global dd2008_se = _se[ddccorp_i_ty2008]
quietly sum yvarscaled_nonorm if $byvar==1 & e(sample)==1 & ddpost==0 [w=$wgt]
global byvar1premean = r(mean)
collapse yvarscaled if e(sample)==1, by(tinc)
quietly sum yvarscaled
global firms = r(N)

use divout_coeffs_yrbyyr, clear
drop if _n>=0
set obs 1
replace exhibit="$exhibit"
replace column=$column
replace yvar="$yvar"
replace dd2003=$dd2003
replace dd2003_se=$dd2003_se
replace dd2004=$dd2004
replace dd2004_se=$dd2004_se
replace dd2005=$dd2005
replace dd2005_se=$dd2005_se
replace dd2006=$dd2006
replace dd2006_se=$dd2006_se
replace dd2007=$dd2007
replace dd2007_se=$dd2007_se
replace dd2008=$dd2008
replace dd2008_se=$dd2008_se
replace byvar1premean=$byvar1premean
replace firms=$firms
replace firmyears=$firmyears
replace r2=$r2
replace controls = ("$controls"!="")
replace fes = ("$absorb"!="")
replace clustervar = "$clustervar"
replace norm=$norm
replace detrended=$detrend
replace trimqtop="$trimqtop"
replace trimqbot="$trimqbot"
append using divout_coeffs_yrbyyr
save divout_coeffs_yrbyyr, replace



