*FILENAME: div_analysis_fig3loop.do


*DFL
use $dirdta/soiubp, clear
capture drop zz* 
capture drop dflbin2 
capture drop _merge 
capture drop tempdflorigwgt
pctile zzcutpoints = $cutvar if ddccorp_byvar==1, n(10)
xtile cutvarbin = $cutvar, c(zzcutpoints)
gen taxyearddccorpbin = taxyearddccorp*10 + cutvarbin
global dflbyvarbasegroup = 200210 + ceil(10/2)
gen tempdflorigwgt = $dflorigwgtorig
global dflorigwgt = "tempdflorigwgt"
do ${dirdo}/div_analysis_dfl
rename dfl dfl_sizehetero
save $dirdta/soiubp_sizehetero, replace

*SET REG MACROS
global cutvarorig = "$cutvar"
do ${dirdo}/div_analysis_mainmacros
global cutvar = "$cutvarorig"
global controls = "$controls i_ty*"
global wgt = "dfl_sizehetero"

*MAKE temp_yvarscaled.dta
do ${dirdo}/div_analysis_makeyvarscaled
use temp_yvarscaled, clear
save temp_yvarscaled_root, replace

*RUN REGS
forvalues cutvarbin=1/10 {
	global cutvarbin = `cutvarbin'
	global column = $cutvarbin
	use temp_yvarscaled_root, clear
	keep if cutvarbin==$cutvarbin
	save temp_yvarscaled, replace
	do ${dirdo}/div_analysis_ddreg
}

