*FILENAME: div_analysis_mainmacros.do;


*set $sampleisubp, controls, and absorb;
global sampleisubp = (substr("$data",1,6)=="soiubp" | substr("$data",-6,.)=="soiubp")
if $sampleisubp==1 {
	global absorb = ""
	global controls = "age* lnrevlag2to1* marginblag2to1* revlag2to1gro* i_nc2*"
}
else {
	global absorb = "tinc"
	global controls = ""
}

*create basevar;
if $sampleisubp==1 {
	local suffix = "lag2to1"
}
else {
	local suffix = "9697"
}
local basevarroot = "$basevarroot"
global basevar : list basevarroot|suffix
global basevar = subinstr("$basevar"," ","",.)

*set macros that are specific to whether a time trend is being used;
if $detrend==0 {
	global ddvars = "ddccorp ddpost ddccorppost"
	global ddvarsyrbyyr = "ddccorp dd_i_ty2003 dd_i_ty2004 dd_i_ty2005 dd_i_ty2006 dd_i_ty2007 dd_i_ty2008 ddccorp_i_ty2003 ddccorp_i_ty2004 ddccorp_i_ty2005 ddccorp_i_ty2006 ddccorp_i_ty2007 ddccorp_i_ty2008"
	global lincom = ""
	global lincom_cutvar = ""
}
else {
	global ddvars = "ddccorp ddpost ddtaxyear ddposttaxyear ddccorppost ddccorptaxyear ddccorptaxyearpost"
	global ddvarsyrbyyr = "ddccorp ddtaxyear ddccorptaxyear dd_i_ty2003 dd_i_ty2004 dd_i_ty2005 dd_i_ty2006 dd_i_ty2007 dd_i_ty2008 ddccorp_i_ty2003 ddccorp_i_ty2004 ddccorp_i_ty2005 ddccorp_i_ty2006 ddccorp_i_ty2007 ddccorp_i_ty2008"
	global lincom = "_b[ddccorppost] + _b[ddccorptaxyearpost]*2005.5"
	global lincom_cutvar = "_b[ddccorppost_cutvar] + _b[ddccorptaxyearpost_cutvar]*2005.5"	
}

*set all remaining macros at defaults;
global byvar = "ddccorp_byvar"
global wgt = "dfl_main"
global clustervar = "tinc"
global cutvar = ""

*set $trimqbot
global trimqbot = ""
if "$yvar"=="penetdiff" {
	global trimqbot = "p5"
}

